Get Flow By Id
import requests
url = "https://api.diga.io/v1/workflow/{flow_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diga.io/v1/workflow/{flow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.diga.io/v1/workflow/{flow_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.diga.io/v1/workflow/{flow_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"trigger": {
"name": "<string>",
"type": "<string>",
"valid": true,
"displayName": "<string>",
"settings": {
"pieceName": "<string>",
"pieceVersion": "<string>",
"triggerName": "<string>",
"input": {},
"propertySettings": {},
"sampleData": {}
},
"nextAction": {
"name": "<string>",
"type": "<string>",
"valid": true,
"displayName": "<string>",
"skip": true,
"settings": {
"pieceName": "<string>",
"pieceVersion": "<string>",
"actionName": "<string>",
"triggerName": "<string>",
"input": {},
"propertySettings": {},
"sampleData": {},
"branches": [
{}
],
"executionType": "<string>"
},
"children": [
"<unknown>"
],
"nextAction": null
}
},
"produced_variables": [
"<string>"
],
"consumed_variables": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Workflows
Get Flow By Id
Get a single flow by ID.
GET
/
v1
/
workflow
/
{flow_id}
Get Flow By Id
import requests
url = "https://api.diga.io/v1/workflow/{flow_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diga.io/v1/workflow/{flow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.diga.io/v1/workflow/{flow_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.diga.io/v1/workflow/{flow_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"trigger": {
"name": "<string>",
"type": "<string>",
"valid": true,
"displayName": "<string>",
"settings": {
"pieceName": "<string>",
"pieceVersion": "<string>",
"triggerName": "<string>",
"input": {},
"propertySettings": {},
"sampleData": {}
},
"nextAction": {
"name": "<string>",
"type": "<string>",
"valid": true,
"displayName": "<string>",
"skip": true,
"settings": {
"pieceName": "<string>",
"pieceVersion": "<string>",
"actionName": "<string>",
"triggerName": "<string>",
"input": {},
"propertySettings": {},
"sampleData": {},
"branches": [
{}
],
"executionType": "<string>"
},
"children": [
"<unknown>"
],
"nextAction": null
}
},
"produced_variables": [
"<string>"
],
"consumed_variables": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Respuesta
Successful Response
Flow response.
Opciones disponibles:
ENABLED, DISABLED Opciones disponibles:
post_call, during_call, pre_call, call_launcher, empty Trigger definition.
Show child attributes
Show child attributes
⌘I

